AccessPackageCatalog の作成

名前空間: microsoft.graph

新しい accessPackageCatalog オブジェクトを作成 します。

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) EntitlementManagement.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション EntitlementManagement.ReadWrite.All

HTTP 要求

POST /identityGovernance/entitlementManagement/catalogs

要求ヘッダー

名前 説明
Authorization ベアラー {トークン}。必須。
Content-Type application/json

要求本文

要求本文で 、accessPackageCatalog オブジェクトの JSON 表記を指定します。

accessPackageCatalog を作成するときに、次のプロパティを指定できます。

プロパティ 説明
displayName 文字列 アクセス パッケージ カタログの表示名。
description String アクセス パッケージ カタログの説明。
state accessPackageCatalogState アクセス パッケージが published 管理に使用できる場合は、値を持つ。 指定できる値は次 unpublished のとおりです published
isExternallyVisible Boolean このカタログ内のアクセス パッケージをテナント外のユーザーが要求できるかどうか。

応答

成功した場合、このメソッドは 200 シリーズの応答コードと、応答本文に新しい accessPackageCatalog オブジェクトを返します。

要求

POST https://graph.microsoft.com/v1.0/identityGovernance/entitlementManagement/catalogs
Content-Type: application/json

{
  "displayName": "sales",
  "description": "for employees working with sales and outside sales partners",
  "state": "published",
  "isExternallyVisible": true
}

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 201 Created
Content-Type: application/json

{

  "id": "b1bf99ed-99ed-b1bf-ed99-bfb1ed99bfb1",
  "displayName": "sales",
  "description": "for employees working with sales and outside sales partners",
  "catalogType": "userManaged",
  "state": "published",
  "isExternallyVisible": true,
  "createdDateTime": "2021-11-10T01:08:30.9134953Z",
  "modifiedDateTime": "2021-11-10T01:08:30.9134953Z"
}